#211 Status "away" or "busy" incorrectly mapped to "Invisible"

OBSOLETE_(1.16.x)
closed-fixed
None
Adium
5
2016-04-23
2013-08-30
No

I am running Adium 1.5.7, SIPE plugin 1.16.1, on Mac OS X 10.8.4.

I am connecting to a corporate Microsoft Office Communicator network server.

When I set my status to any "away" or "busy" status, other users connected to the network see that my account is "offline". I don't believe this was always this way, but must have happened with some recent upgrade. (It was broken in 1.16.0 however, as I just upgraded to 1.16.1 today in a vain hope it would fix the problem.)

In the attached debug log, you can see it connects and logs in with "away" status, and sends the server the signal to go invisible. I then change the status to Available, and am no longer invisible. I then switch back to Away and turn invisible.

1 Attachments

Discussion

  • Stefan Becker

    Stefan Becker - 2013-08-31
    • summary: Setting "away" or "busy" status causes me to appear offline to MOC users --> Status "away" or "busy" incorrectly mapped to "Invisible"
    • assigned_to: Michael Lamb
     
  • Stefan Becker

    Stefan Becker - 2013-08-31

    This is not a bug in the SIPE core, but most likely a bug in the SIPE Adium UI adaptor code. From the log it is clearly visible that the backend tells the core to set the status to invisible:

    $ fgrep -B1 -A4 "Setting status on " adium_debug.txt 
    09:27:32: Adium: Connect: david_pisoni@intuit.com initiating connection using status state <AIStatus: 2469a00 [Away]> (Stepped away...).
    09:27:32: Setting status on 24e8fe0 (david_pisoni@intuit.com,CORP\dpisoni): ID invisible, isActive 1, attributes {
        message = "Stepped away...";
    }
    09:27:32: (GLib): (09:27:32) account: Connecting to account david_pisoni@intuit.com,CORP\dpisoni.
    09:27:32: (Libpurple: account) Connecting to account david_pisoni@intuit.com,CORP\dpisoni.
    --
    09:27:44: <ESPurpleSIPEAccount:3229980 32>:david_pisoni@intuit.com: privacyOptions are 1
    09:27:44: Setting status on 24e8fe0 (david_pisoni@intuit.com,CORP\dpisoni): ID available, isActive 1, attributes {
    }
    09:27:44: (GLib): (09:27:44) sipe: sipe_purple_set_status[CB]: status=available
    09:27:44: (Libpurple: sipe) sipe_purple_set_status[CB]: status=available
    09:27:44: (GLib): (09:27:44) sipe: sipe_core_status_set: was: sipe_private->do_not_publish[available]=0 [?] now(time)=1377880064
    --
    09:27:49: (Libpurple: util) Writing file /Users/dpisoni/Library/Application Support/Adium 2.0/Users/Default/libpurple/accounts.xml
    09:27:51: Setting status on 24e8fe0 (david_pisoni@intuit.com,CORP\dpisoni): ID invisible, isActive 1, attributes {
    }
    09:27:51: (GLib): (09:27:51) sipe: sipe_purple_set_status[CB]: status=invisible
    09:27:51: (Libpurple: sipe) sipe_purple_set_status[CB]: status=invisible
    09:27:51: (GLib): (09:27:51) sipe: sipe_core_status_set: was: sipe_private->do_not_publish[invisible]=0 [?] now(time)=1377880071
    

    Assigning bug to Adium maintainer.

     
  • Michael Lamb

    Michael Lamb - 2013-09-03

    Blah. Somehow I dropped a break; statement out of the switch-case, so the "away" status was dropping down into the "invisible" code. I've added the missing break statement, and it will be incorporated into the next release.

    Sorry for the inconvenience. :(

     
  • Michael Lamb

    Michael Lamb - 2013-09-03
    • status: open --> closed-fixed
     
  • Robbie

    Robbie - 2013-09-03

    Should this fix go upstream?

     
  • Michael Lamb

    Michael Lamb - 2013-09-03

    What do you mean "go upstream"?

     
  • Robbie

    Robbie - 2013-09-06

    Oh, sorry, nevermind. I mistakenly assumed the file patched was one integral to Adium and not part of the plugin.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks